Bug 45779 - Attached presentation crashes LO when saving
Summary: Attached presentation crashes LO when saving
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:3.5.1 target:3.6.0beta0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-08 06:59 UTC by Branislav Klocok
Modified: 2012-05-23 01:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Presenation (1.15 MB, application/vnd.ms-powerpoint)
2012-02-08 06:59 UTC, Branislav Klocok
Details
another one (653.50 KB, application/vnd.ms-powerpoint)
2012-02-09 05:09 UTC, Branislav Klocok
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Branislav Klocok 2012-02-08 06:59:22 UTC
Created attachment 56752 [details]
Presenation

I have downloaded this presentation from the web to help me to create maps. When I copy and paste the map to any presentation LO crashes after I try to save.
Comment 1 Ralph Aichinger 2012-02-08 13:48:14 UTC
I can confirm this bug. Crashes for me if saved as .ppt as well as in LO format.

I can reproduce the crash in 3.5rc3 from Debian experimental/amd64 as well as in Win8 dev preview with LO 3.5rc3.
Comment 2 Branislav Klocok 2012-02-09 05:09:03 UTC
Created attachment 56814 [details]
another one

Another presentation with maps, that crashes when saving.
Comment 3 Jan Holesovsky 2012-02-15 02:32:51 UTC
Thorsten Behrens commited a patch related to this issue to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d37abad97d72bae0fd0269de12e94c7a7d3fd7e1

Fix fdo#45779 - accessing empty polygon.
Comment 4 Thorsten Behrens (CIB) 2012-02-15 02:38:14 UTC
Fixed on master, review for -3-5 pending.
Comment 5 Jan Holesovsky 2012-02-15 03:07:25 UTC
Thorsten Behrens commited a patch related to this issue to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c65e1fef5a4b4e41b4b3846712d7e76e94a34e8&g=libreoffice-3-5

Fix fdo#45779 - accessing empty polygon.
Comment 6 Not Assigned 2012-05-23 01:43:30 UTC
Pierre-Andre Jacquod committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0932cb801db0dfdf6f1a0312683c7fc55eea443

fdo#45779 avoiding creation of inconsistent B2DPolygon